<template>
  <div id="app">
    <img alt="Vue logo" src="./assets/logo.png" />
    <h1>This is a heading</h1>
    <Button
      :label="displayText"
      :primary="true"
      size="medium"
      @onClick="handleClick"
    />
    <p v-if="toggle" class="toggle-body">
      This is some random text which toggles on button click.
    </p>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import Button from "./stories/Button.vue";

@Component({
  components: {
    Button,
  },
})
export default class App extends Vue {
  private toggle = false;

  public handleClick(): void {
    console.log("Button Clicked: ", this.toggle);
    this.toggle = !this.toggle;
  }

  get displayText(): string {
    return this.toggle ? "Hide Text" : "Show Text";
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}

h1 {
  font-size: 4rem;
}

.toggle-body {
  padding: 1rem;
  font-size: 1.5rem;
  color: red;
}
</style>
